{% extends "skeleton.html.twig" %}

{% block title %}
    First Twig File
{% endblock title %}

{% block content %}
    <p>I am in a twig template  !</p>
    {# On utilise les doubles accolades pour afficher la valeur d'une variable dans le template #}
    <p> {{variable}} {{autre}} </p>
    {# Si la variable contient un objet, on peut accéder à ses propriétés avec un point comme en js #}
    <p>{{person.surname}} {{person.name}}</p>
    
    {# On peut faire des boucles sur des tableaux avec le for..in #}
    {% for clef, valeur in tableau %}
    {# Il répètera le html contenu dans le for autant de fois qu'il
    y a d'élément dans le tableau #}
        <article>
            <h3>{{valeur}}</h3>
            <p>voici l'élément n°{{clef}}</p>
        </article>
    {% endfor %}
    {# On peut utiliser un if pour afficher ou non un morceau du template #}
    {% if autre > 2 %}
        autre est supérieur à deux
    {% endif %}
{% endblock content %}